mia-2dmyoset-all2one-nonrigid
Prev | Registration of series of 2D images | Next

### mia-2dmyoset-all2one-nonrigid

#### Sysnopis:

`mia-2dmyoset-all2one-nonrigid` {-i `string`} {-o `string`} [ `options` ...] [ `Plugin type: 2dimage/fullcost` ...]

#### Description:

This program runs non-rigid registration of a series of images given in an image set. All images are registered to one user defined reference image.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input perfusion data set

-o, --out-file=(output, required); string

  output perfusion data set

--out-filebase=reg; stringSTRING

  file name basae for registered files, file type is deducted from the image file type in the input data set.

#### Registration

-k, --skip=0; int

  Skip images at the beginning of the series

-O, --optimizer=gsl:opt=gd,step=0.1; stringSTRING

  Optimizer used for minimization

-l, --mg-levels=3; ulong

  multi-resolution levels

-f, --transForm=spline; factory

  transformation type. For supported plug-ins see Plugin type: 2dimage/transform

-r, --ref=-1; int

  reference frame (-1 == use image in the middle)

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register the perfusion series given in segment.set by optimizing a spline based transformation with a coefficient rate of 16 pixel using Mutual Information and penalize the transformation by using divcurl with aweight of 2.0.

    mia-2dmyoset-all2one-nonrigid -i segment.set -o registered.set
        -f spline:rate=16,penalty=[divcurl:weight=2.0] image:cost=mi,weight=2.0

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmyoserial-nonrigid | Home | Tools for the Analysis of 2D image series